# 추가 이력 (Supporting Information)

## 4.1. 부록(Appendixes)

> - 부록은 SRS의 일부로 간주하지 않으며, 항상 필요한 것도 아니다.
> - 부록이 포함하는 내용
>   1. Sample input/output formats, descriptions of cost analysis studies, or results of user surveys
>   1. Supporting or background information that can help the readers of the SRS
>   1. A description of the problems to be solved by the software
>   1. Special packaging instructions for the code and the media to mmet security, export, initial loading, or other requirements
> >
> > - 부록이 포함된 경우 SRS는 부록이 요구사항의 일부로 간주하는지 명시해야 한다.

## 4.2. 개발 환경(Development Environment)

프론트엔드는 [Vite](https://vitejs-kr.github.io/)로 개발한다. 그리고 개발 언어로는 typescript를 사용한다. 그리고 react를 사용한다.

백엔드는 Deno를 사용한다.

## 4.3. 일정표(Schedule)

<%
const getIssueByNumber = (n) => it.issues.filter(x=> x.number === n)[0];

const trId= (n)=>{
    const title = getIssueByNumber(n).title;
return `(#${n}) ${title}`.replaceAll(/[^A-Za-z\s0-9]/gi,"").toLocaleLowerCase().replaceAll(" ","-");
}
const inTable = (arr) => {
    return arr.map(x=> `[#${x}](./specific.md#${trId(x)})`).join(', ')
}
%>
<%
const timeTable = [
    [1,2,3,5,14,15,27],
    [4,6,7,8,11],
    [9,10,12,22,23],
    [13,16,17,19,20,21,30],
    [18,,24,25],
    [28,29]
]
const Weeks = [
'4.24~4.30',  
'5.1~5.7',    
'5.8~5.14',   
'5.15~5.21',  
'5.22~5.28',  
'5.29~6.4'
]
%>

|주차|구현 기능|
|----|--------|
|<%= Weeks[0]%>|<%= inTable(timeTable[0]) %>|
|<%= Weeks[1]%>|<%= inTable(timeTable[1]) %>|
|<%= Weeks[2]%>|<%= inTable(timeTable[2]) %>|
|<%= Weeks[3]%>|<%= inTable(timeTable[3]) %>|
|<%= Weeks[4]%>|<%= inTable(timeTable[4]) %>|
|<%= Weeks[5]%>|<%= inTable(timeTable[5]) %>|

<% for(let weekIndex = 0; weekIndex < Weeks.length; weekIndex++) {%>
### 주차 <%= Weeks[weekIndex]%>

<%~ timeTable[weekIndex].map(n => {
    return `- [(#${n}) ${getIssueByNumber(n).title}](specific.md#${trId(n)})\n`
    }).join('')
%>

<%}%>
